#!/bin/sh

# -bpython		: Pythonコンポーネントコード生成プログラム
# -bvcproject		: VC++プロジェクトファイル生成プログラム
# -bcxx			: C++コンポーネントコード生成プログラム
#
# --module-name		: モジュール名
# --module-desc		: モジュールの説明
# --module-version	: モジュールのバージョン
# --module-vendor	: モジュールのベンダ
# --module-category	: モジュールのカテゴリ
# --module-comp-type	: コンポーネントの型
# --module-act-type	: アクティビティタイプ
# --module-max-inst	: コンポネントインスタンスの最大数
#
# --inport		: 入力ポート定義
# --outport		: 出力ポート定義
# --service-idl		: サービスプロバイダIDLパス
# --service		: サービスプロバイダ定義
# --consumer-idl	: サービスコンシューマIDLパス
# --consumer		: サービスプロバイダ定義
# --config		: コンフィグレーションセット定義

rtc-template -bcxx \
	--module-name=GpsInformationProcessing \
	--module-desc='Information Processing for LEGACY-E+' \
	--module-version=0.1.0 \
	--module-vendor=IRS \
	--module-category=Position \
	--module-comp-type=DataFlowComponent \
	--module-act-type=SPORADIC \
	--module-max-inst=1 \
	--inport=LegacyData:TimedLegacyData \
	--outport=Jgd2000Position:TimedJgd2000Position \
	--outport=GpsData:TimedGpsData \
	--consumer-idl=irs.idl \
	--config=01_gui:std::string:on \
	--config=02_guiaddress:std::string:../gui/gpsinformationprocessing\
	--config=03_ip:std::string:127.0.0.1 \
	--config=04_sendport:std::string:10002 \
	--config=05_receiveport:std::string:10001
